---
updatedAt: 2025-06-25T21:54:13.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get related addresses

Return a list of related addresses given an Ethereum address.

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/address/{address}/related-addresses": {
      "get": {
        "tags": [
          "Address"
        ],
        "summary": "Get related addresses",
        "description": "Return a list of related addresses given an Ethereum address.",
        "operationId": "get_related_addresses_eth_v1_address__address__related_addresses_get",
        "parameters": [
          {
            "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
            "required": true,
            "schema": {
              "title": "Address",
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string",
              "description": "Ethereum address, 42-character hexadecimal string beginning with 0x"
            },
            "example": "0xcaf1d788c67BdAAC155E7dcC4D64e2004eF651D4",
            "name": "address",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/_ETHAddressList"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      },
      "_ETHAddressList": {
        "title": "_ETHAddressList",
        "required": [
          "total",
          "relations"
        ],
        "type": "object",
        "properties": {
          "total": {
            "title": "Total",
            "minimum": 0,
            "type": "integer",
            "description": "Total number of addresses that related to a given address",
            "example": 769
          },
          "relations": {
            "title": "Relations",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/_Relation"
            },
            "example": [
              {
                "peer_address": "0x54be3a794282c030b15e43ae2bb182e14c409c5e",
                "receive_from_peer_num": 8,
                "send_to_peer_num": 0,
                "peer_is_whale": true,
                "peer_is_contract": false,
                "peer_is_blue_chip_holder": true,
                "peer_is_super_blue_chip_holder": true
              }
            ]
          }
        }
      },
      "_Relation": {
        "title": "_Relation",
        "required": [
          "peer_address",
          "receive_from_peer_num",
          "send_to_peer_num"
        ],
        "type": "object",
        "properties": {
          "peer_address": {
            "title": "Peer Address",
            "maxLength": 42,
            "minLength": 42,
            "pattern": "^0x[a-fA-F0-9]{40}$",
            "type": "string",
            "example": ""
          },
          "receive_from_peer_num": {
            "title": "Receive From Peer Num",
            "minimum": 0,
            "type": "integer",
            "description": "How many NFTs were received from the peer_address"
          },
          "send_to_peer_num": {
            "title": "Send To Peer Num",
            "minimum": 0,
            "type": "integer",
            "description": "How many NFTs were sent to the peer_address"
          },
          "peer_is_whale": {
            "title": "Peer Is Whale",
            "type": "boolean",
            "description": "Whether the peer_address is a whale"
          },
          "peer_is_contract": {
            "title": "Peer Is Contract",
            "type": "boolean",
            "description": "Whether the peer_address is a contract"
          },
          "peer_is_blue_chip_holder": {
            "title": "Peer Is Blue Chip Holder",
            "type": "boolean",
            "description": "Whether the peer_address is a blue chip holder"
          },
          "peer_is_super_blue_chip_holder": {
            "title": "Peer Is Super Blue Chip Holder",
            "type": "boolean",
            "description": "Whether the peer_address is a super blue chip holder"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````